/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * New exception added since version 2,0c to encapsulate an error from the FileExtractor interface.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0c
 * @since 2.0c
 */
public class ArchiveExtractingException extends FileStatisticsException {
    /**
     * <p>
     * Constructs an instance with message (no checks).
     * </p>
     *
     * @param message the message
     */
    public ArchiveExtractingException(String message) {
        super(message);
    }

    /**
     * <p>
     * Constructs an instance with message and cause (no checks).
     * </p>
     *
     * @param message the message
     * @param cause the cause
     */
    public ArchiveExtractingException(String message, Throwable cause) {
        super(message, cause);
    }
}
