/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Framework exception which provides the extension base for all exceptions.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileStatisticsException extends Exception {
    /**
     * <p>
     * Constructor with message (no checks).
     * </p>
     *
     * @param message the message
     */
    public FileStatisticsException(String message) {
        super(message);
    }

    /**
     * <p>
     * Constructor with message and cause (no checks).
     * </p>
     *
     * @param message the message
     * @param cause the cause
     */
    public FileStatisticsException(String message, Throwable cause) {
        super(message, cause);
    }
}
