/**
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 */
package com.topcoder.file.statistics;

/**
 * <p>
 * Used to cover configuration related exceptions for all the constructors with a namespace or with
 * a property.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class ConfigurationException extends FileStatisticsException {
    /**
     * <p>
     * Constructs an instance with message (no checks).
     * </p>
     *
     * @param message the message
     */
    public ConfigurationException(String message) {
        super(message);
    }

    /**
     * <p>
     * Constructs an instance with message and cause (no checks).
     * </p>
     *
     * @param message the message
     * @param cause the cause
     */
    public ConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }
}
